# useSettingsPageContext

**Category:** Base Components/Pages/Settings Page/Hooks/useSettingsPageContext

## API

### Overview

A React hook that retrieves [`SettingsPageState`](./?path=/story/base-components-pages-settings-page-state--settingspagestate) from React context. Use it in any child component rendered within [`SettingsPage`](./?path=/story/base-components-pages-settings-page--settingspage) to access the page state without prop-drilling.

```tsx
import { useSettingsPageContext } from '@wix/patterns/page';
```

### Example

```tsx
function MySettingsCard() {
  const state = useSettingsPageContext();
  // Access state.form, state.settings, etc.
  return Current value: {state.settings?.theme};
}
```

### Returns

[SettingsPageState](./?path=/story/base-components-pages-settings-page-state--settingspagestate)

